Package org.apache.sysds.runtime.io

# Class FrameWriterDelta

java.lang.Object
org.apache.sysds.runtime.io.FrameWriter
org.apache.sysds.runtime.io.FrameWriterDelta

public class FrameWriterDelta extends FrameWriter
Single-threaded native Delta Lake writer for frames, built on the Spark-free Delta Kernel library. It creates (or recreates) a Delta table whose schema mirrors the frame schema (per-column `Types.ValueType` mapped to a Delta type and the frame column names), streams the `FrameBlock` rows as columnar batches into parquet data files, and commits the add-file actions.

## Constructor Summary

Constructors
Constructor
Description
`FrameWriterDelta()`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen)`

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriter

`setForcedParallel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameWriterDelta

public FrameWriterDelta()

## Method Details

### writeFrameToHDFS

public void writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen) throws IOException, DMLRuntimeException

Specified by:
  `writeFrameToHDFS` in class `FrameWriter`
Throws:
  `IOException`
  `DMLRuntimeException`